Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.dispatcher.velocity
Class VelocityDispatcher

    java.lang.Object
      org.blojsom.dispatcher.velocity.VelocityDispatcher

All Implemented Interfaces:
  Dispatcher

public class VelocityDispatcher
extends java.lang.Object
implements Dispatcher

Velocity dispatcher

Since:
  blojsom 3.0
Version:
  $Id: VelocityDispatcher.java,v 1.4 2006/03/23 14:28:27 czarneckid Exp $
Author:
  David Czarnecki

Nested Class Summary
`class` | `VelocityDispatcher.BlojsomRenderTool` Blojsom render tool mimics the functionality of the Velocity render tool to parse VTL markup added to a template

Constructor Summary
`VelocityDispatcher()` Create a new instance of the Velocity dispatcher

Method Summary
`protected void` | `destroyVelocityContext(org.apache.velocity.VelocityContext velocityContext)` Remove references from the Velocity context
`void` | `dispatch(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, java.lang.String flavorTemplate, java.lang.String flavorContentType)` Dispatch a request and response.
`void` | `init()` Initialization method for blojsom dispatchers
`protected void` | `populateVelocityContext(javax.servlet.http.HttpServletRequest httpServletRequest, java.util.Map context)` Populate the Velocity context with the request and session attributes
`void` | `setBlojsomProperties(java.util.Properties blojsomProperties)` Set the properties in use by blojsom
`void` | `setServletConfig(javax.servlet.ServletConfig servletConfig)` Set the `ServletConfig`
`void` | `setVelocityProperties(java.util.Properties velocityProperties)` Set the Velocity properties for use by the dispatcher

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityDispatcher

    public VelocityDispatcher()

  Create a new instance of the Velocity dispatcher

Method Detail

### init

    public void init()
              throws BlojsomException

  Initialization method for blojsom dispatchers

  Specified by:
    `init` in interface `Dispatcher`
  Throws:
    `BlojsomException` - If there is an error initializing the dispatcher

### setVelocityProperties

    public void setVelocityProperties(java.util.Properties velocityProperties)

  Set the Velocity properties for use by the dispatcher

  Parameters:
    `velocityProperties` - Properties for Velocity configuration

### setBlojsomProperties

    public void setBlojsomProperties(java.util.Properties blojsomProperties)

  Set the properties in use by blojsom

  Parameters:
    `blojsomProperties` - Properties in use by blojsom

### setServletConfig

    public void setServletConfig(javax.servlet.ServletConfig servletConfig)

  Set the `ServletConfig`

  Parameters:
    `servletConfig` - `ServletConfig`

### populateVelocityContext

    protected void populateVelocityContext(javax.servlet.http.HttpServletRequest httpServletRequest,
                                           java.util.Map context)

  Populate the Velocity context with the request and session attributes

  Parameters:
    `httpServletRequest` - Request
    `context` - Context

### destroyVelocityContext

    protected void destroyVelocityContext(org.apache.velocity.VelocityContext velocityContext)

  Remove references from the Velocity context

  Parameters:
    `velocityContext` - `VelocityContext`

### dispatch

    public void dispatch(javax.servlet.http.HttpServletRequest httpServletRequest,
                         javax.servlet.http.HttpServletResponse httpServletResponse,
                         Blog blog,
                         java.util.Map context,
                         java.lang.String flavorTemplate,
                         java.lang.String flavorContentType)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Dispatch a request and response. A context map is provided for the BlojsomServlet to pass any required information for use by the dispatcher. The dispatcher is also provided with the template for the requested flavor along with the content type for the specific flavor.

  Specified by:
    `dispatch` in interface `Dispatcher`
  Parameters:
    `httpServletRequest` - Request
    `httpServletResponse` - Response
    `blog` - `Blog`
    `context` - Context map
    `flavorTemplate` - Template to dispatch to for the requested flavor
    `flavorContentType` - Content type for the requested flavor
  Throws:
    `java.io.IOException` - If there is an exception during IO
    `javax.servlet.ServletException` - If there is an exception in dispatching the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD